/**
 * 数据统计管理接口
 */
import request from '@/utils/request'

// 根据布防状态统计井数量
export function wellStaticByBfzt(params) {
  return request({
    url: 'well/countByBfzt',
    method: 'get',
    params
  })
}
// 离线设备列表
export function offlineList(params) {
  return request({
    url: 'device/offlineListPage',
    method: 'get',
    params
  })
}
// 根据权属单位统计井数量
export function wellStaticByDept(params) {
  return request({
    url: 'statics/wellStaticsByDept',
    method: 'get',
    params
  })
}

// 根据井类型统计井数量
export function wellStaticByType(params) {
  return request({
    url: 'statics/wellStaticsByType',
    method: 'get',
    params
  })
}

// 根据设备类型统计设备数量
export function deviceStaticsByType(params) {
  return request({
    url: 'statics/deviceStaticsByType',
    method: 'get',
    params
  })
}

// 离线设备数量
export function deviceStaticsByOnline(params) {
  return request({
    url: 'statics/deviceCountByOnlineStatus',
    method: 'get',
    params
  })
}

// 根据权属单位统计设备数量
export function deviceStaticsByDept(params) {
  return request({
    url: 'statics/deviceStaticsByDept',
    method: 'get',
    params
  })
}

// 根据在线状态统计设备数量
export function deviceStaticByStatus(params) {
  return request({
    url: 'statics/deviceStaticsByStatus',
    method: 'get',
    params
  })
}

// 统计当前报警数
export function alarmNowStatic(params) {
  return request({
    url: 'statics/alarmsNow',
    method: 'get',
    params
  })
}
// 统计每日报警数
export function alarmStaticByDay(params) {
  return request({
    url: 'statics/alarmsByDay',
    method: 'get',
    params
  })
}

// 根据权属单位进行报警统计查询
export function alarmStaticByDept(params) {
  return request({
    url: 'statics/alarmsByDept',
    method: 'get',
    params
  })
}

// 根据权属单位统计工单数量
export function jobStaticsByDept(params) {
  return request({
    url: 'statics/jobsByDept',
    method: 'get',
    params
  })
}

